# QStyleOptionGraphicsItem Class Reference

### [com.trolltech.qt.gui package]

Inherits QStyleOption.

### Constructor

- void QStyleOptionGraphicsItem()
- void QStyleOptionGraphicsItem(QStyleOptionGraphicsItem other)

### Constructor Properties

- prototype: The QStyleOptionGraphicsItem prototype object
- qreal levelOfDetailFromTransform(QTransform worldTransform)
- Version = 1
- StyleOptionVersion( value )
- Type = SO_GraphicsItem
- StyleOptionType( value )

### Instance Properties

QStyleOptionGraphicsItem objects have no special properties beyond those inherited from the QStyleOptionGraphicsItem prototype object.